# Authorize an SSH key `POST /v1/sandboxes/{sandbox}/ssh-keys` **In this build:** Works on the simulator or a real VM. **Scope:** `ssh` **CLI:** `harebox ssh-key add` ## Request: `SshKeyRequest` | Field | Type | Notes | |---|---|---| | `public_key` (required) | `string` | | | `expires_seconds` | `integer` | | ## Response: 201 `SshAccess` | Field | Type | Notes | |---|---|---| | `host` (required) | `string` | | | `user` (required) | `string` | | | `port` | `integer` | | | `host_key` | `string` | | Errors follow [one format](../errors.html).